Skip to content

Retrieval (for video download, asynchronous audio download)

GET https://www.kkiai.com/minimax/v1/files/retrieve

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Query Parameters

ParameterTypeRequiredDescriptionExample
file_idstringOptionalUnique identifier of the file. Obtained from the file_id returned after successfully querying the video generation task status interface

cURL Example

bash
curl --location --request GET 'https://www.kkiai.com/minimax/v1/files/retrieve?file_id' \
--header 'Authorization: Bearer <token>'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
fileobjectRequired
  └ file_idstringRequired
  └ bytesintegerRequired
  └ created_atintegerRequired
  └ filenamestringRequired
  └ purposestringRequired
  └ download_urlstringRequired
base_respobjectRequired
  └ status_codeintegerRequired
  └ status_msgstringRequired

Response Example

json
{
  "file": {
    "file_id": "${file_id}",
    "bytes": 0,
    "created_at": 1700469398,
    "filename": "output_aigc.mp4",
    "purpose": "video_generation",
    "download_url": "www.downloadurl.com"
  },
  "base_resp": {
    "status_code": 0,
    "status_msg": "success"
  }
}